#!/bin/sh
file=${1:-tmp/one_step_closer/one/infector}
func=${2:-writeInfection}
symbol=$( nm ${file} | perl -ane "m/${func}/ && print \$F[2];" )
gdb ${file} -q <<EOT | sed -ne '/:$/,/ret *$/p'
        set disassembly-flavor intel
        disassemble ${symbol}
EOT
